Subject: bug#71235: Failing test on macOS: tramp-test17-dired-with-wildcards

From: Michael Albinus <[email-masked]>
Date: Sun, 02 Jun 2024 16:23:07 +0200

Gerd Möllmann <[email-masked]> writes:

Hi Gerd,

> Homebrew uses different directories depending on if it's on a mac with
> x64 or arm64. I have both, and find the easiest thing to do is to use
> the brew shellenv command in my .zshenv to set up things. (I have a
> common dotfles setup for my machines.)
>
>   /Users/gerd % brew shellenv 
>   export HOMEBREW_PREFIX="/opt/homebrew";
>   export HOMEBREW_CELLAR="/opt/homebrew/Cellar";
>   export HOMEBREW_REPOSITORY="/opt/homebrew";
>   export PATH="/opt/homebrew/bin:/opt/homebrew/sbin${PATH+:$PATH}";
>   export MANPATH="/opt/homebrew/share/man${MANPATH+:$MANPATH}:";
>   export INFOPATH="/opt/homebrew/share/info:${INFOPATH:-}";
>
> Then, I'm using exec-path-from-shell in my init.el to get the shell
> environment into Emacs, even when started from Emacs.app. Starting an
> .app bundle doesn't involve the shell, so one has to do something.

What's exec-path-from-shell? ELPA package?

> Works like a charm with everything I use, including things like Magit
> over tramp, and so on.

TL;DR: I should also add /opt/homebrew/sbin to tramp-remote-path, right?

Best regards, Michael.